/*	OXEGE3.C
**
**	Cursor definition and manipulation routines,
**	Center title routine.  
*/

#include "a:stdio.h"
#include "b:oxege.h"

/* ADDRESS CURSOR */
adr( line, column)
	int line;
	int column; 
	{
	co( ESC );
	co( '=' );
	co( line+32 );
	co( column+32 );
	}

/* CENTERED TITLE */
center(message) char message[]; 
	{
	co( CR );
	rgt( ( 80 - strlen( message ) ) / 2 );
	puts( message );
	}

/* DEFINE CURSOR TYPE */
defcursor( attribute )
	int attribute;
	{
	co( ESC );
	co( 46  );
	co( attribute+48 );
	}


/* DEFINE CURSOR TYPE */
defcursor( attribute )
	int attribute;
	{
	co( ESC );
	co